# $Revision: 1.49 $, $Date: 2007-11-28 08:15:51 $
# TODO
# - menu Shell items require csh, remove that dependency
Summary:	Motif/X Window GUI editor
Summary(pl.UTF-8):	Edytor tekstu z interfejsem graficznym Motif/X Window
Name:		nedit
Version:	5.5
Release:	4
License:	GPL v2
Group:		Applications/Editors
Source0:	ftp://ftp.nedit.org/pub/NEdit/v5_5/%{name}-%{version}-src.tar.bz2
# Source0-md5:	48cb3dce52d44988f3a4d7c6f47b6bbe
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-security.patch
Patch1:		%{name}-dynamic-motif.patch
URL:		http://nedit.org/
BuildRequires:	motif-devel >= 1.2
Requires:	/bin/csh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NEdit is a GUI style plain-text editor for X/Motif systems. It is very
easy to use, especially for those familiar with the Macintosh or MS
Windows style of interface, combining full use of the mouse and window
manager, with keystroke efficiency and a full complement of powerful
editing commands.

%description -l pl.UTF-8
NEdit to edytor tekstu o graficznym interfejsie dla systemów X/Motif.
Jest bardzo prosty w użyciu, zwłaszcza dla osób zaznajomionych z
interfejsami w stylu Macintosha czy MS Windows. Łączy w sobie pełne
wykorzystanie myszy i zarządcy okien z wydajnością klawiatury, a
całości dopełnienia cała gama potężnych poleceń edycyjnych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
echo | %{__make} linux \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DUSE_DIRENT -DUSE_LPR_PRINT_CMD -DBUILD_UNTESTED_NEDIT -DBUILD_BROKEN_NEDIT" \
	LXLIB="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_desktopdir},%{_pixmapsdir}}

install source/nedit $RPM_BUILD_ROOT%{_bindir}
install source/nc $RPM_BUILD_ROOT%{_bindir}/nclient
install doc/nedit.man $RPM_BUILD_ROOT%{_mandir}/man1/nedit.1x
install doc/nc.man $RPM_BUILD_ROOT%{_mandir}/man1/nclient.1x

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/nedit.doc README ReleaseNotes ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_desktopdir}/nedit.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nedit.spec,v $
Revision 1.49  2007-11-28 08:15:51  arekm
- rel 4

Revision 1.48  2007-09-05 14:52:03  baggins
- rel 3

Revision 1.47  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.45  2005/09/26 10:11:00  glen
- R: csh; rel 2

Revision 1.44  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.43  2004/10/13 14:34:59  saq
- it's final, not rc2

Revision 1.42  2004/10/13 12:51:00  undefine
- up to 5.5 rc2 by "Robert Kurowski" <koorek@o2.pl>

Revision 1.41  2004/09/20 22:18:27  ankry
- rel. 5

Revision 1.40  2004/09/20 21:48:18  ankry
- rel. 4

Revision 1.39  2004/07/22 11:00:31  ankry
- fixed desktop, rel. 3

Revision 1.38  2004/07/08 08:54:45  qboosh
- force build with openmotif 2.2.x

Revision 1.37  2004/07/07 12:45:58  ankry
- rel. 2 to rebuild with openmotif-libs-2.2.3-2

Revision 1.36  2004/04/02 19:40:41  qboosh
- updated to 5.4, updated patches, switched to vfolders

Revision 1.35  2003/08/18 08:08:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.34  2003/05/28 12:59:51  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 05:51:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/01/18 22:54:54  juandon
- removed two lines with define

Revision 1.31  2002/10/30 13:01:23  ankry
- desktop moved to toplevel Editors, typos, rel. 3

Revision 1.30  2002/08/28 00:26:54  kloczek
- fixed %build: incorrectly injected CC :>

Revision 1.29  2002/08/27 22:50:28  kloczek
- release 2,
- added dynamic-motif patch and use new %doc.

Revision 1.28  2002/07/18 20:21:57  maryush
- adaptarized security tmp patch to new version
- change br from lesstif-devel to motif-devel

Revision 1.26  2002/05/05 20:52:59  kloczek
- release 3: merge security patch from rawhide (fix tmp race).

Revision 1.25  2002/04/29 19:43:41  filon
- nc executable renamed to nclient (along with manpage)
- release 2

Revision 1.24  2002/02/23 03:54:24  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:14:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/21 01:36:17  kloczek
- cosmetics.

Revision 1.20  2001/11/21 01:27:46  kloczek
- added png Icon for desktop file based on nedid logo,
- s/Copyright/License/; s/distributable/GPL v2/.

Revision 1.19  2001/11/04 22:07:03  filon
- updated to 5.2
- changes in docs

Revision 1.18  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.17  2000/11/26 22:32:14  aflinta
- spec updates
- corrected typos

Revision 1.16  2000/11/26 22:10:37  aflinta
- updated to version 5.1.1
- added BuildRequires: lesstif-devel

Revision 1.15  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.13  2000/06/01 11:42:31  michuz
- release 4
- %%applnkdir changed

Revision 1.12  2000/04/01 11:15:02  zagrodzki
- changed all BuildRoot definitions
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.10  1999/11/13 19:16:50  kloczek
- wmconfig file replaced by desktop file.

Revision 1.9  1999/11/13 17:02:10  kura
[5.0.2-3]
- added using macros
- fixed pl translations

Revision 1.8  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Mar 22 1999 Piotr Czerwiński <pius@pld.org.pl>
  [5.0.2-2]
- added wmconfig file,
- added pl translation,
- added %defattr description in %files,
- removed man group from man pages,
- added gzipping man pages and documentation,
- cosmetic changes.

* Tue Sep 15 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [5.02-1]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
  subpackage,
- added using $RPM_OPT_FLAGS during compile,
- added full %attr description in %files.

* Sat Mar 07 1998 Troy Benjegedes <troybenj@iastate.edu>
- Updated to nedit 5.01 (crashing bugfixes for Linux)

* Wed Jul 23 1997 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
- all rewrited for using Buildroot,
- removed %ifarch from %prep; removed paching source,
- nedit is dynamically linked with lesstif,
- removed "ExclusiveArch: i386",
- added %attr macros in %files (allows build package from non root account).
